Package skyview.process

# Class ImageFinder

java.lang.Object
skyview.process.ImageFinder

Direct Known Subclasses:
  `Bypass`, `Checker`, `Checker`, `Overlap`, `RectRecurse`

public abstract class ImageFinder extends Object

## Constructor Summary

Constructors
Constructor
Description
`ImageFinder()`

## Method Summary

Modifier and Type
Method
Description
`static ImageFinder`
`factory(String type)`
Create an ImageFinder given a class name or return an instance of the default class if no name is given.
`abstract int[]`
`findImages(Image[] input, Image output)`
This is the basic method in the image finder.
`void`
`setStrict(boolean strict)`
Do stricter tests of the best pixel match

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageFinder

public ImageFinder()

## Method Details

### findImages

public abstract int[] findImages(Image[] input, Image output)
This is the basic method in the image finder. It gives the index of the appropriate input image for each pixel in the output image.

Parameters:
  `input` - An array of images from which the output image is to be interpolated.
  `output` - An output image to be generated from the input. This method does not change the output image.
Returns:
  An integer array of the same dimension as one plane of the output image. Each element of the array gives the index of the input image that should be used to get the value of that point. A value -2 indicates that there is no suitable input image. A value -3 indicates that the output pixel is not physical (e.g., it lies outside the valid region in the projection plane). Zero and positive values give the appropriate indices.

### factory

public static ImageFinder factory(String type)
Create an ImageFinder given a class name or return an instance of the default class if no name is given.

Parameters:
  `type` - The class name of the desired image finder. Null for default.
Returns:
  An ImageFinder of the requested type.

### setStrict

public void setStrict(boolean strict)
Do stricter tests of the best pixel match

Parameters:
  `strict` - Do we want strict tests